UPGRADE YOUR BROWSER

We have detected your current browser version is not the latest one. Xilinx.com uses the latest web technologies to bring you the best online experience possible. Please upgrade to a Xilinx.com supported browser:Chrome, Firefox, Internet Explorer 11, Safari. Thank you!

cancel
Showing results for 
Search instead for 
Did you mean: 
Visitor jonesxu
Visitor
5,317 Views
Registered: ‎11-08-2010

Is there any keypoints need to be paid attention to Kintex7 GT simulation?

Jump to solution

I build a simple Kintex GT module, and when simulation, the serial input/output, the reset_done signals are all in "U" state.

 

When simulation, there's information that gtxe2_channel_wrap is not bound.

 

 

I check the ISE13.2's compxlib's log, find errors when compiing secureIP:

 

I wonder is there any relationship between the lib compiling error and the simulation error? How can I solve this ? Thanks very much

 

 

BEGIN_COMPILATION_MESSAGES(questa:verilog:secureip)
Modifying modelsim.ini

QuestaSim vlog 6.4c Compiler 2008.12 Dec  8 2008
-- Compiling module GTX_DUAL_FAST
-- Compiling module GTP_DUAL_FAST
-- Compiling module B_GTPA1_DUAL
-- Compiling module GTPA1_DUAL_WRAP
-- Compiling module TEMAC_SWIFT
-- Compiling module PCIE_INTERNAL_1_1_SWIFT
-- Compiling module PPC440_SWIFT
-- Compiling module GT11_SWIFT
-- Compiling module PPC405_ADV_SWIFT
-- Compiling module EMAC_SWIFT
-- Compiling module TEMAC_SINGLE_WRAP
-- Compiling module GTXE1_WRAP
-- Compiling module PCIE_2_0_WRAP
###### E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_001.vp(2): `pragma protect version = 1
** Error: E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_001.vp(2): Missing '`pragma protect ????_block encoding'
** Error: E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_001.vp(2): Pragma protect keyword expected
###### E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_001.vp(6): `pragma protect key_keyowner = "MTI" , key_keyname = "MGC-DVT-MTI" , key_method = "rsa"
** Error: E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_001.vp(6): near "qTnW": syntax error, unexpected "IDENTIFIER", expecting "class"
###### E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_002.vp(2): `pragma protect version = 1
** Error: E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_002.vp(2): Missing '`pragma protect ????_block encoding'
###### E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_002.vp(2): `pragma protect version = 1
** Error: E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_002.vp(2): Pragma protect keyword expected
###### E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_002.vp(6): `pragma protect key_keyowner = "MTI" , key_keyname = "MGC-DVT-MTI" , key_method = "rsa"
** Error: E:\Xilinx\13.2\ISE_DS\ISE\secureip\mti\gthe1_quad_mti/gthe1_quad_002.vp(6): near "b9SHHSmtYCqFLhZFpp9y": syntax error, un

0 Kudos
1 Solution

Accepted Solutions
Highlighted
Xilinx Employee
Xilinx Employee
6,369 Views
Registered: ‎08-02-2007

Re: Is there any keypoints need to be paid attention to Kintex7 GT simulation?

Jump to solution

I think the issue is that your version of modelsim is not supported with 13.2.

http://www.xilinx.com/support/documentation/sw_manuals/xilinx13_2/irn.pdf

 

Regards,
Jon

0 Kudos
3 Replies
Visitor jonesxu
Visitor
5,313 Views
Registered: ‎11-08-2010

Re: Is there any keypoints need to be paid attention to Kintex7 GT simulation?

Jump to solution

The complib log is here

0 Kudos
Highlighted
Xilinx Employee
Xilinx Employee
6,370 Views
Registered: ‎08-02-2007

Re: Is there any keypoints need to be paid attention to Kintex7 GT simulation?

Jump to solution

I think the issue is that your version of modelsim is not supported with 13.2.

http://www.xilinx.com/support/documentation/sw_manuals/xilinx13_2/irn.pdf

 

Regards,
Jon

0 Kudos
Visitor jonesxu
Visitor
5,284 Views
Registered: ‎11-08-2010

Re: Is there any keypoints need to be paid attention to Kintex7 GT simulation?

Jump to solution

Thank you very much, jschimek.

I changed to modelsim SE6.6d, and the xlibrary complilation is OK now.

0 Kudos